
local LTOptionsContext;

-- use new civ modular diplo corner functionality
function OnDiploCornerPopup()
  
	if LTOptionsContext == nil then
		LTOptionsContext = ContextPtr:LoadNewContext("LTPropertiesPanel");
	end
	UIManager:QueuePopup( LTOptionsContext, PopupPriority.GenericPopup ); 
  
end

function OnAdditionalInformationDropdownGatherEntries(additionalEntries)
  table.insert(additionalEntries, {
    text=Locale.ConvertTextKey("TXT_KEY_LIGHT_TOUCH_MOD_PROPERTIES"), 
    call=OnDiploCornerPopup
  })
end
LuaEvents.AdditionalInformationDropdownGatherEntries.Add(OnAdditionalInformationDropdownGatherEntries)
LuaEvents.RequestRefreshAdditionalInformationDropdownEntries()