
include( "SaveUtils" ); MY_MOD_NAME = "RedoxLightTouch";


g_LTO_MissionOnStart = nil;	
g_LTO_AlertFortify = nil;
g_LTO_WorkerStopIfDanger = nil;
g_DEBUG = nil;
g_WrkStandbyFlag=false;


function LoadPropertiesOnStartup()
	
	print("Loading LT savedata on startup");
	local pPlayer = Players[Game.GetActivePlayer()];
	
	g_LTO_MissionOnStart = load( pPlayer, "g_LTO_MissionOnStart" );	
	g_LTO_AlertFortify = load( pPlayer, "g_LTO_AlertFortify" );
	g_LTO_WorkerStopIfDanger = load( pPlayer, "g_LTO_WorkerStopIfDanger" );
	g_DEBUG = load( pPlayer, "g_DEBUG" );
	g_WrkStandbyFlag = load( pPlayer, "g_WrkStandbyFlag" );
	
	g_LTO_MissionOnStart 	= g_LTO_MissionOnStart or (g_LTO_MissionOnStart==nil and false);
	g_LTO_AlertFortify 		= g_LTO_AlertFortify or (g_LTO_AlertFortify==nil and true);
	g_LTO_WorkerStopIfDanger = g_LTO_WorkerStopIfDanger or (g_LTO_WorkerStopIfDanger==nil and false);
	g_DEBUG 				= g_DEBUG or (g_DEBUG==nil and false);		-- MOD v.1.1 make false default for DEBUG info
	g_WrkStandbyFlag 		= g_WrkStandbyFlag or (g_WrkStandbyFlag==nil and false);
	
	print ("Loaded Options:",g_LTO_MissionOnStart,g_LTO_AlertFortify,g_LTO_WorkerStopIfDanger,g_DEBUG,g_WrkStandbyFlag);
	
end


function SaveData()
	local pPlayer = Players[Game.GetActivePlayer()];
	save( pPlayer, "g_LTO_MissionOnStart", g_LTO_MissionOnStart );
	save( pPlayer, "g_LTO_AlertFortify", g_LTO_AlertFortify );
	save( pPlayer, "g_LTO_WorkerStopIfDanger", g_LTO_WorkerStopIfDanger );
	save( pPlayer, "g_DEBUG", g_DEBUG );
	save( pPlayer, "g_WrkStandbyFlag", g_WrkStandbyFlag );
end

function GlobalPropertiesInitialize()
	
	LoadPropertiesOnStartup();

	LuaEvents.SetGlobalData.Add(
	function(dataTable)
		for k,v in pairs(dataTable) do
			if(k=="g_DEBUG") then g_DEBUG=v;
			elseif(k=="g_LTO_MissionOnStart") then g_LTO_MissionOnStart=v;
			elseif(k=="g_LTO_AlertFortify") then g_LTO_AlertFortify=v;
			elseif(k=="g_LTO_WorkerStopIfDanger") then g_LTO_WorkerStopIfDanger=v;
			elseif(k=="g_WrkStandbyFlag") then g_WrkStandbyFlag=v;
			else
				print("Request for unknown variable:",k,"value:",v);
			end
		end
		SaveData();
		print ("GlobalOptions set:",g_LTO_MissionOnStart,g_LTO_AlertFortify,g_LTO_WorkerStopIfDanger,g_DEBUG,g_WrkStandbyFlag);
	end);
	
end
GlobalPropertiesInitialize();
